#ifndef __MATRIX_CONTROLS_H__
#define __MATRIX_CONTROLS_H__

#include <stdbool.h>

struct Matrix;

void MatrixControls_init(void (* inMatrixChangeCallback)(struct Matrix));
void MatrixControls_setMainMatrix(struct Matrix inMatrix);
void MatrixControls_setOperandMatrix(struct Matrix inMatrix);
struct Matrix MatrixControls_getOperandMatrix();
void MatrixControls_setEditFieldValue(float value);
float MatrixControls_getEditFieldValue();
bool MatrixControls_mouseDown(int x, int y);
void MatrixControls_mouseUp(int x, int y);
void MatrixControls_mouseDragged(int x, int y);
void MatrixControls_draw(int autoMultiplyMode);

#endif
