#ifndef __FUNCTION_CONTROLS_H__
#define __FUNCTION_CONTROLS_H__

#include <stdbool.h>

struct Matrix;
struct Vector;

void FunctionControls_init();
bool FunctionControls_mouseDown(int x, int y);
void FunctionControls_mouseUp(int x, int y);
void FunctionControls_mouseDragged(int x, int y);
void FunctionControls_draw();

void FunctionControls_setEditFieldValue(float value);
float FunctionControls_getEditFieldValue();

struct Matrix FunctionControls_getTranslationMatrix();
struct Matrix FunctionControls_getScalingMatrix();
struct Matrix FunctionControls_getRotationMatrix();
struct Matrix FunctionControls_getShearXMatrix();
struct Matrix FunctionControls_getShearYMatrix();
struct Matrix FunctionControls_getShearZMatrix();
struct Matrix FunctionControls_getPerspectiveMatrix();

#endif
